 



/*------------ Страница источников ------------*/


h1 {
    font-family:   "CourierCyrPS-Bold", "Courier", monospace;
}



.sources-list {
    list-style: none;
    padding: 0;
    margin-top: 10px;
    width: 100%;
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(210px, 1fr));
    gap: 30px;
}


.sources-list li {
    display: flex;
    flex-direction: column;
    background: var(--card-background-color);
    border: 2px solid var(--strong-border-color);
    width: 210px;
    height: 210px;
    transition: transform var(--transition-fast), border-color var(--transition-fast), box-shadow var(--transition-fast);
    align-items: center;
    justify-content: top;
    gap: 5px;
    text-align: center;
    border-radius: var(--common-border-radius);
    border-left: 5px solid var(--strong-border-color);
    cursor: pointer;
}


.sources-list li a {
    text-decoration: none;
    display: block;
    width: 100%;
    height: 100%;
    padding: 20px;
    outline: none;
}


.sources-list li:hover {
    transform: translateY(-3px);
    background-color: var(--highlight-color);
}

.sources-list a:focus-visible {
    text-decoration: underline;
    text-decoration-color: var(--text-main-color);
}


.source-name {
    white-space: nowrap;
    font-size: 10pt;
    color:var(--text-muted-color);
}


.exam {
    font-size: 15pt;
    color: var(--text-main-color);
}

.subject {
    margin-top: 10px;
    font-size: 18pt;
    color: var(--text-main-color);
}




@media (max-width: 800px) {
    
    .sources-list {
        display: flex;
        flex-direction: column;
        gap: 20px;
    }

    .main {
        padding: 40px 20px 20px 20px;
    }

    .sources-list li {
        width: 100%;
        height: auto;
    }
}